package com.sooka.system.gas.aofe_gas_purchase_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.system.gas.aofe_gas_purchase_infor.domain.TGuijiAofeGasPurchaseInfor;
import com.sooka.system.gas.aofe_gas_purchase_infor.mapper.TGuijiAofeGasPurchaseMapper;
import com.sooka.system.gas.aofe_gas_purchase_infor.service.ITGuijiAofeGasPurchaseInforService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 奥枫收费系统-预付费购气信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiAofeGasPurchaseInforServiceImpl implements ITGuijiAofeGasPurchaseInforService
{
    @Autowired
    private TGuijiAofeGasPurchaseMapper mapper;

    /**
     * 查询奥枫收费系统-预付费购气信息
     *
     * @param id 奥枫收费系统-预付费购气信息ID
     * @return 奥枫收费系统-预付费购气信息
     */
    @Override
    public TGuijiAofeGasPurchaseInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询奥枫收费系统-预付费购气信息列表
     *
     * @param param 奥枫收费系统-预付费购气信息
     * @return 奥枫收费系统-预付费购气信息
     */
    @Override
    public List<TGuijiAofeGasPurchaseInfor> selectList(TGuijiAofeGasPurchaseInfor param)
    {
        return mapper.selectList(param);
    }

    /**
     * 新增奥枫收费系统-预付费购气信息
     *
     * @param param 奥枫收费系统-预付费购气信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiAofeGasPurchaseInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改奥枫收费系统-预付费购气信息
     *
     * @param param 奥枫收费系统-预付费购气信息
     * @return 结果
     */
    @Override
    public int update(TGuijiAofeGasPurchaseInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除奥枫收费系统-预付费购气信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除奥枫收费系统-预付费购气信息信息
     *
     * @param id 奥枫收费系统-预付费购气信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
